# Generated by Django 3.2.2 on 2021-09-14 12:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0006_add_domain'),
        ('customers', '0012_historicalleadchannelmodel_historicalleadletchannelmodel_leadchannelmodel_leadletchannelmodel'),
    ]

    operations = [
        migrations.AddField(
            model_name='historicalleadcustomermodel',
            name='chat',
            field=models.IntegerField(null=True),
        ),
        migrations.AddField(
            model_name='historicalleadletcustomermodel',
            name='chat',
            field=models.IntegerField(null=True),
        ),
        migrations.AddField(
            model_name='leadcustomermodel',
            name='chat',
            field=models.IntegerField(null=True),
        ),
        migrations.AddField(
            model_name='leadletcustomermodel',
            name='chat',
            field=models.IntegerField(null=True),
        ),
        migrations.AlterField(
            model_name='customeremailmodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='customermodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='customerphonemodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='feasibilitytablesbase',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalcustomeremailmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalcustomermodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalcustomerphonemodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalcustomertablesmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalfeasibilitytablesbase',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalleadchannelmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalleadcustomermodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalleadletchannelmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalleadletcontactmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalleadletcustomermodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalleadlettablesmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalleadtablesmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='leadchannelmodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='leadcustomermodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='leadletchannelmodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='leadletcontactmodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='leadletcustomermodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
    ]
